> ## Documentation Index
> Fetch the complete documentation index at: https://docs.identifai.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get single video classification result

> Retrieve the classification result for a specific video.



## OpenAPI

````yaml get /api/classification_video/{identifier}
openapi: 3.0.0
info:
  title: identifAI API
  version: 1.0.0
  description: >-
    API for integrating identifAI's image and video classification
    capabilities.<br><details><summary>**How to obtain your API
    Key**</summary>To obtain your API key, follow these simple steps:  
    <ol><li><p>**Create a user profile and log in to the platform**</p>If you
    don't have an account yet, visit our platform and create a user profile.
    Once you've completed registration and verified your email, log in with your
    credentials.</li><li><p>**Access the user menu**</p>After logging in, click
    on your name or the user icon in the top-right corner of the
    screen.</li><li><p>**Select the API Key option**</p>In the dropdown menu
    that appears, select the "API Key" option. From there, you can view or
    generate your API key.</li></ol>Now you are ready to use your API key in our
    API!</details><details><summary>**How to use the API**</summary>To use the
    API, first make a **POST** request to start the classification. Then, use
    the provided ***identifier*** from the **POST** request to retrieve the
    results.

    <details>

    <summary>**1. Image Classification**</summary>
      * To classify an image, you need to make a **POST** request to `/api/classification` with the required parameters (for details on the parameters, refer to the *"Classification"* section below).
      * In the response, you will receive the ***identifier*** of the classified image.
      * Use the provided ***identifier*** to retrieve the classification results by making a **GET** request to `/api/classification/{identifier}` (for details on how to structure this request, see the *"Classification"* section below).
      * The response will contain the classification results for the image in JSON format.<br>In the response, you will find a ***results*** array, which includes the classification results for each model used, and a ***verdicts*** array, which contains the results for each heuristic applied.<br>If the classification is not yet complete, continue sending the **GET** request until the result is available.</details><details><summary>**2. Video Classification**</summary>
        * To classify a video, you need to make a **POST** request to `/api/classification_video` with the required parameters (for details on the parameters, refer to the *"Classification"* section below).
        * In the response, you will receive the ***identifier*** of the classified video.
        * Use the provided ***identifier*** to retrieve the classification results by making a **GET** request to `/api/classification_video/{identifier}` (for details on how to structure this request, see the *"Classification"* section below).
        * The response will provide the classification results for the video in JSON format. For video classification, the video is divided into *frames*.<br> In the response, you will find a ***results*** array that includes the classification outcomes for each model applied to each analyzed frame, and a ***verdicts*** array containing the results for each heuristic used.<br> If the classification is not complete, continue sending the **GET** request until the final results are returned.</details><details><summary>**3. All Classifications**</summary>The `/api/classifications` endpoint will return all the image classifications made by a user. This will list the results of all past image classification requests.</details><details><summary>**4. User Management**</summary>  The **POST** `/api/user` endpoint allows you to create a user, while the **DELETE** `/api/user` endpoint is used to delete a user (For the structure of the requests, see more in the user section below).</details></details>
servers:
  - url: https://backend.identifai.net
security: []
tags:
  - name: Classification
    description: Classification routes
  - name: Infrastructure
    description: Infrastructure routes
  - name: User
    description: User actions
  - name: Partner
    description: Partner actions
paths:
  /api/classification_video/{identifier}:
    get:
      tags:
        - Classification
      summary: Get single video classification result
      description: Retrieve the classification result for a specific video.
      parameters:
        - name: identifier
          in: path
          required: true
          schema:
            type: string
          description: The identifier of the video.
      responses:
        '200':
          description: The classification result.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoResponse'
        '401':
          description: Invalid or missing API key.
          content:
            application/json:
              example:
                error: Unauthorized
        '403':
          description: >-
            The specified identifier does not exist or is not accessible by the
            user.
          content:
            application/json:
              example:
                error: Forbidden
        '429':
          description: Too many requests.
          content:
            application/json:
              example:
                error: Too Many Attempts.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    VideoResponse:
      type: object
      description: The answer for video classification
      properties:
        hash:
          type: string
          description: SHA-256 hash of the classified video file
        identifier:
          type: string
          description: The identifier that identifies the classified video
        api_version:
          type: string
          nullable: true
          description: >-
            The API version at the time of the analysis (available from
            **v1.1.0**). The value is set when the analysis completes.
        status:
          $ref: '#/components/schemas/Status'
          description: >-
            The processing status of the classification request (available from
            **v1.1.0**)
        deferred_status:
          type: string
          enum:
            - pending
            - inprogress
            - done
            - errored
            - skipped
            - expired
          description: >-
            Status of the **deferred results** (steps run after the main
            results, e.g. the textual explanations of the XAI maps and of the
            heatmap). Present only when the submission has deferred results:
            `pending` (main analysis still running), `inprogress`, `done`,
            `errored` (at least one deferred step failed, the main results are
            still valid), `skipped` (the main analysis failed), `expired` (not
            completed in time; it can still turn into `done` or `errored`
            later). It never changes `status`: a submission is `done` before its
            deferred results are.
        deferred_progress:
          type: object
          nullable: true
          description: >-
            Progress of the deferred results, present together with
            `deferred_status`.
          properties:
            current_idx:
              type: integer
              description: Deferred steps completed so far
            total:
              type: integer
              description: Total deferred steps
        deferred_errors:
          type: array
          items:
            type: string
          description: >-
            Public messages of the deferred steps that failed, present together
            with `deferred_status`.
        errors:
          type: string
          nullable: true
          description: >-
            Error messages if the status is 'errored' (available from
            **v1.1.0**)
        name:
          type: string
          description: The name of the classified video file
        ref_id:
          type: string
          description: >-
            An optional reference ID to associate with the classification
            request.
        result_url:
          type: string
          format: uri
          description: URL where the classification results can be found on the dashboard
        is_nsfw:
          type: boolean
          nullable: true
          description: >-
            Indicates if NSFW (Not Safe For Work) content was detected. Only
            present if with_nsfw was set to true in the classification request.
        verdict:
          $ref: '#/components/schemas/VideoVerdict'
          description: >-
            The main classification verdict for the entire video using the
            user's default heuristic
        verdicts:
          type: array
          items:
            $ref: '#/components/schemas/VideoVerdict'
          description: >-
            Array of verdicts for all available heuristics applied to the entire
            video
        force_classification:
          type: string
          enum:
            - human
            - artificial
          nullable: true
          description: >-
            If present, indicates that the user has forced the classification to
            the specified value
        results:
          type: object
          description: Detailed results containing analyzed frames from the video
          properties:
            images:
              type: array
              items:
                $ref: '#/components/schemas/ImageResponse'
              description: >-
                Array of image classification results for each extracted frame
                from the video. Each frame is analyzed as an independent image.
            audios:
              type: array
              items:
                $ref: '#/components/schemas/AudioResponse'
              description: >-
                Array of audio classification results if audio analysis was
                requested
    Status:
      type: string
      enum:
        - new
        - done
        - errored
    VideoVerdict:
      type: object
      description: >-
        The final classification verdict for a video, aggregating results across
        all analyzed frames
      properties:
        count:
          type: integer
          description: Number of frames analyzed in the video
        models:
          type: array
          items:
            type: string
            description: Model name
          description: >-
            Array of models used for analysis (may be omitted if all models are
            used)
        unknown:
          type: boolean
          description: >-
            Indicates if the video contains frames that couldn't be confidently
            classified
        heuristic:
          type: string
          description: >-
            Name of the heuristic used (e.g., 'Majority', 'Average',
            'AverageExcludeObsolete', 'TopRelevant')
        confidence:
          type: number
          description: >-
            The confidence of the classification result from 0 to 1, aggregated
            across all frames
        classification:
          type: string
          enum:
            - human
            - artificial
          description: >-
            The final classification result for the entire video using the
            specified heuristic
      required:
        - heuristic
        - confidence
        - classification
    ImageResponse:
      type: object
      description: The answer for image classification
      properties:
        hash:
          type: string
          description: SHA-256 hash of the classified image file
        identifier:
          type: string
          description: The identifier that identifies the classified image
        api_version:
          type: string
          nullable: true
          description: >-
            The API version at the time of the analysis (available from
            **v1.1.0**). The value is set when the analysis completes.
        status:
          $ref: '#/components/schemas/Status'
          description: >-
            The processing status of the classification request (available from
            **v1.1.0**)
        deferred_status:
          type: string
          enum:
            - pending
            - inprogress
            - done
            - errored
            - skipped
            - expired
          description: >-
            Status of the **deferred results** (steps run after the main
            results, e.g. the textual explanations of the XAI maps and of the
            heatmap). Present only when the submission has deferred results:
            `pending` (main analysis still running), `inprogress`, `done`,
            `errored` (at least one deferred step failed, the main results are
            still valid), `skipped` (the main analysis failed), `expired` (not
            completed in time; it can still turn into `done` or `errored`
            later). It never changes `status`: a submission is `done` before its
            deferred results are.
        deferred_progress:
          type: object
          nullable: true
          description: >-
            Progress of the deferred results, present together with
            `deferred_status`.
          properties:
            current_idx:
              type: integer
              description: Deferred steps completed so far
            total:
              type: integer
              description: Total deferred steps
        deferred_errors:
          type: array
          items:
            type: string
          description: >-
            Public messages of the deferred steps that failed, present together
            with `deferred_status`.
        errors:
          type: string
          nullable: true
          description: >-
            Error messages if the status is 'errored' (available from
            **v1.1.0**)
        name:
          type: string
          description: The name of the classified image file
        ref_id:
          type: string
          description: >-
            An optional reference ID to associate with the classification
            request.
        result_url:
          type: string
          format: uri
          description: URL where the classification results can be found on the dashboard
        is_nsfw:
          type: boolean
          nullable: true
          description: >-
            Indicates if NSFW (Not Safe For Work) content was detected. Only
            present if with_nsfw was set to true in the classification request.
        c2pa:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/C2PA'
          description: >-
            Coalition for Content Provenance and Authenticity information that
            certifies the source and history of media content. Contains
            manifests, validation results, and signature information. Null if
            the image doesn't contain C2PA metadata.
        has_heatmap:
          type: boolean
          description: >-
            If the image has an AI content heatmap. The heatmap png can be
            retrieved from the specific endpoint
            `/api/classification/heatmap/{identifier}`.
        verdict:
          $ref: '#/components/schemas/Verdict'
          description: The main classification verdict using the user's default heuristic
        verdicts:
          type: array
          items:
            $ref: '#/components/schemas/Verdict'
          description: Array of verdicts for all available heuristics
        force_classification:
          type: string
          enum:
            - human
            - artificial
          nullable: true
          description: >-
            If present, indicates that the user has forced the classification to
            the specified value
        results:
          type: array
          items:
            $ref: '#/components/schemas/ImageModelResult'
          description: Detailed classification results from each AI detection model
        details:
          type: array
          items:
            $ref: '#/components/schemas/ObjectDetails'
          description: Details about object detection inside the image
    AudioResponse:
      type: object
      description: The answer for audio classification
      properties:
        hash:
          type: string
          description: SHA-256 hash of the classified audio file
        identifier:
          type: string
          description: The identifier that identifies the classified audio
        api_version:
          type: string
          nullable: true
          description: >-
            The API version at the time of the analysis (available from
            **v1.1.0**). The value is set when the analysis completes.
        status:
          $ref: '#/components/schemas/Status'
          description: >-
            The processing status of the classification request (available from
            **v1.1.0**)
        deferred_status:
          type: string
          enum:
            - pending
            - inprogress
            - done
            - errored
            - skipped
            - expired
          description: >-
            Status of the **deferred results** (steps run after the main
            results, e.g. the textual explanations of the XAI maps and of the
            heatmap). Present only when the submission has deferred results:
            `pending` (main analysis still running), `inprogress`, `done`,
            `errored` (at least one deferred step failed, the main results are
            still valid), `skipped` (the main analysis failed), `expired` (not
            completed in time; it can still turn into `done` or `errored`
            later). It never changes `status`: a submission is `done` before its
            deferred results are.
        deferred_progress:
          type: object
          nullable: true
          description: >-
            Progress of the deferred results, present together with
            `deferred_status`.
          properties:
            current_idx:
              type: integer
              description: Deferred steps completed so far
            total:
              type: integer
              description: Total deferred steps
        deferred_errors:
          type: array
          items:
            type: string
          description: >-
            Public messages of the deferred steps that failed, present together
            with `deferred_status`.
        errors:
          type: string
          nullable: true
          description: >-
            Error messages if the status is 'errored' (available from
            **v1.1.0**)
        name:
          type: string
          description: The name of the classified audio file
        ref_id:
          type: string
          description: >-
            An optional reference ID to associate with the classification
            request.
        result_url:
          type: string
          format: uri
          description: URL where the classification results can be found on the dashboard
        verdict:
          $ref: '#/components/schemas/Verdict'
          description: The main classification verdict using the user's default heuristic
        verdicts:
          type: array
          items:
            $ref: '#/components/schemas/Verdict'
          description: Array of verdicts for all available heuristics
        force_classification:
          type: string
          enum:
            - human
            - artificial
          nullable: true
          description: >-
            If present, indicates that the user has forced the classification to
            the specified value
        results:
          type: array
          items:
            $ref: '#/components/schemas/Result'
          description: Detailed classification results from each AI detection model
        details:
          $ref: '#/components/schemas/MediaDetails'
          description: >-
            Per-segment details of the audio analysis, with each entry
            representing a clip extracted from the submitted audio
    C2PA:
      type: object
      properties:
        manifests:
          type: object
          description: >-
            Dictionary of C2PA manifests, keyed by manifest URN. Each manifest
            contains information about the content's creation and modification
            history.
          additionalProperties:
            type: object
            properties:
              label:
                type: string
                description: URN identifier for this manifest
              title:
                type: string
                description: Human-readable title of the manifest
              assertions:
                type: array
                description: List of cryptographic assertions about the content
                items:
                  type: object
                  properties:
                    label:
                      type: string
                      description: Type of assertion (e.g., 'c2pa.actions.v2')
                    data:
                      type: object
                      description: Assertion data content
              ingredients:
                type: array
                description: List of source materials used to create this content
                items:
                  type: object
                  properties:
                    label:
                      type: string
                      description: Type of ingredient
                    title:
                      type: string
                      description: Name of the ingredient
                    format:
                      type: string
                      description: File format of the ingredient
                    relationship:
                      type: string
                      description: Relationship to the parent content (e.g., 'componentOf')
                    active_manifest:
                      type: string
                      description: URN of the ingredient's active manifest
                    validation_results:
                      type: object
                      description: Validation results for this ingredient
              instance_id:
                type: string
                description: XMP instance ID
              signature_info:
                type: object
                description: Information about the cryptographic signature
                properties:
                  alg:
                    type: string
                    description: Signature algorithm used (e.g., 'Es256')
                  issuer:
                    type: string
                    description: Certificate issuer
                  common_name:
                    type: string
                    description: Common name from the certificate
                  cert_serial_number:
                    type: string
                    description: Certificate serial number
              claim_generator_info:
                type: array
                description: Information about the software that generated the claim
                items:
                  type: object
                  properties:
                    name:
                      type: string
                      description: Name of the claim generator software
        active_manifest:
          type: string
          description: URN of the currently active manifest
        validation_state:
          type: string
          enum:
            - Valid
            - Invalid
            - Unknown
          description: Overall validation state of the C2PA data
        validation_status:
          type: array
          description: List of validation status messages
          items:
            type: object
            properties:
              url:
                type: string
                description: URN or URL of the validated element
              code:
                type: string
                description: Validation status code
              explanation:
                type: string
                description: Human-readable explanation of the validation result
        validation_results:
          type: object
          description: Detailed validation results
          properties:
            activeManifest:
              type: object
              properties:
                failure:
                  type: array
                  description: List of validation failures
                  items:
                    type: object
                success:
                  type: array
                  description: List of successful validations
                  items:
                    type: object
                informational:
                  type: array
                  description: Informational validation messages
                  items:
                    type: object
            ingredientDeltas:
              type: array
              description: Validation deltas for ingredients
              items:
                type: object
    Verdict:
      type: object
      description: The final classification response for the considered heuristic
      properties:
        models:
          type: array
          items:
            type: string
            description: Model name
          description: Array of models used
        heuristic:
          type: string
          description: >-
            Name of the heuristic used (e.g., 'Majority', 'Average',
            'AverageExcludeObsolete', 'TopRelevant')
        confidence:
          type: number
          description: The confidence of the classification result from 0 to 1
        classification:
          type: string
          enum:
            - human
            - artificial
          description: The final classification result using the specified heuristic
      required:
        - heuristic
        - confidence
        - classification
    ImageModelResult:
      description: >-
        The score obtained in each category (human or artificial) for the model
        used, with the AI-powered explanations of XAI when available
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          properties:
            explanations:
              type: array
              items:
                $ref: '#/components/schemas/XaiExplanation'
              description: >-
                The XAI maps produced by this model (Attention Map and Attention
                Graph, plus the heatmap: on the `Ardē` result when
                `with_heatmap` is requested, on the models that produced it with
                the Smart Full Analysis), each with its **AI-powered
                explanation**. Present on the single result endpoints (not in
                lists nor in the `webhook_url` payload) when the model produced
                at least one map. Every map is listed also when the AI-powered
                explanations were not requested (`with_llm_xai`): `description`
                is `null` until the explanation is available, when it was not
                requested, or when it could not be generated. Follow
                `deferred_status` to know when the [deferred
                results](/api-reference/deferred-results) are complete. For
                videos, explanations are returned on the per-model results of
                each analyzed frame. See [XAI – eXplainable
                AI](/classification/classify-image#xai-explainable-ai).
    ObjectDetails:
      type: object
      properties:
        detections:
          type: array
          items:
            type: object
            properties:
              box:
                type: object
                properties:
                  x1:
                    type: number
                  x2:
                    type: number
                  y1:
                    type: number
                  y2:
                    type: number
                required:
                  - x1
                  - x2
                  - y1
                  - y2
              results:
                type: array
                items:
                  type: object
                  properties:
                    model:
                      type: string
                    unknown:
                      type: boolean
                    elapsed_time:
                      type: number
                    classification:
                      type: array
                      items:
                        type: object
                        properties:
                          label:
                            type: string
                          score:
                            type: number
                        required:
                          - label
                          - score
                    classification_details:
                      type: object
                      properties:
                        confidence:
                          type: number
                      required:
                        - confidence
                  required:
                    - model
                    - unknown
                    - elapsed_time
                    - classification
                    - classification_details
              verdict:
                type: object
                properties:
                  heuristic:
                    type: string
                  confidence:
                    type: number
                  classification:
                    type: string
                required:
                  - heuristic
                  - confidence
                  - classification
            required:
              - box
              - results
              - verdict
      required:
        - detections
    Result:
      type: object
      description: >-
        The score obtained in each category (human or artificial) for the model
        used
      properties:
        model:
          type: string
          description: The name of the AI detection model used for classification
        unknown:
          type: boolean
          description: >-
            Indicates if the model couldn't confidently classify the image
            (uncertainty detected)
        elapsed_time:
          type: number
          description: The time taken for classification in seconds
        classification:
          type: array
          items:
            type: object
            properties:
              label:
                type: string
                description: Category
                enum:
                  - human
                  - artificial
              score:
                type: number
                description: Score from 0 to 1
          description: Array of classification scores for each category
        classification_details:
          type: object
          description: Additional details about the classification process
    MediaDetails:
      type: object
      description: Container for per-segment analysis details
      properties:
        clips:
          type: array
          items:
            $ref: '#/components/schemas/ClipDetail'
          description: >-
            Array of analysis results for each segment (clip) extracted from the
            submitted media file
      required:
        - clips
    XaiExplanation:
      type: object
      description: An XAI map of the model, with its AI-powered explanation
      properties:
        type:
          type: string
          enum:
            - attention_map
            - attention_graph
            - heatmap
          description: >-
            The XAI map: `attention_map` (where the attention of the model is
            focused, overlaid on the content), `attention_graph` (trend and
            peaks of the attention of the model) or `heatmap` (the heatmap,
            listed on the `Ardē` result when `with_heatmap` is requested and on
            the models that produced it with the Smart Full Analysis)
        method:
          type: string
          nullable: true
          description: >-
            The XAI method used to compute the map (`legrad`,
            `transformer_attribution` or `attention_rollout`); `null` for
            `heatmap`
        description:
          type: string
          nullable: true
          description: >-
            Natural-language description of the regions that received the most
            attention, in the language requested with `llm_xai_language`. `null`
            when the AI-powered explanations were not requested
            (`with_llm_xai`), when the explanation is not available yet (see
            `deferred_status`) or when it could not be generated.
    ClipDetail:
      type: object
      description: >-
        Detailed information about a specific clip (audio or video segment)
        analysis
      properties:
        index:
          type: integer
          description: The index of the clip in the sequence
        start:
          type: number
          description: Start time of the clip in seconds
        end:
          type: number
          description: End time of the clip in seconds
        results:
          type: array
          items:
            $ref: '#/components/schemas/Result'
          description: >-
            Detailed classification results from each AI detection model for
            this clip
        verdict:
          $ref: '#/components/schemas/Verdict'
          description: The classification verdict for this specific clip
      required:
        - index
        - start
        - end
        - results
        - verdict
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-Api-Key
      in: header
      description: Your API key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.